Subject: Re: [PATCH] t0610: work around flaky test with concurrent writers

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Oct 2024 09:32:06 -0700

Ramsay Jones <[email-masked]> writes:

> This doesn't work for me.
> Can you think of anything else to try?
>   
> I would strongly suggest skipping this test on cygwin as well as MINGW.

There was some mention of "Win 10 or later" in the thread, IIRC,
while explaining why Cygwin version of rename() works.  Is it
possible that the version of Windows and Cygwin you and Patrick
used are different enough?

In the meantime, I'll queue a SQUASH??? on top for preparing today's
integration.

This is a tangent, but there are places that use !MINGW,!CYGWIN and
there are places that use !WINDOWS; I think they are equivalent
prerequisites that we might want to straighten out their uses as a
clean-up later.

 t/t0610-reftable-basics.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git c/t/t0610-reftable-basics.sh w/t/t0610-reftable-basics.sh
index 86a746aff0..e10c894cb0 100755
--- c/t/t0610-reftable-basics.sh
+++ w/t/t0610-reftable-basics.sh
@@ -454,10 +454,10 @@ test_expect_success 'ref transaction: retry acquiring tables.list lock' '
 # that Windows does not allow us to rename the "tables.list.lock" file into
 # place when "tables.list" is open for reading by a concurrent process.
 #
-# The same issue does not happen on Cygwin because its implementation of
+# The same issue may not happen on Cygwin because its implementation of
 # rename(3P) is emulating POSIX-style renames, including renames over files
-# that are open.
-test_expect_success !MINGW 'ref transaction: many concurrent writers' '
+# that are open, but it probably depends on the version.
+test_expect_success !WINDOWS 'ref transaction: many concurrent writers' '
 	test_when_finished "rm -rf repo" &&
 	git init repo &&
 	(